Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.videobase.com/v1/folders/create \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "name": "<string>" } '
const options = { method: 'POST', headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>'}) }; fetch('https://api.videobase.com/v1/folders/create', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.videobase.com/v1/folders/create" payload = { "name": "<string>" } headers = { "X-Api-Key": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
{ "id": 123, "name": "<string>", "code": "<string>", "parent": 123, "isPublic": true, "openEmbed": true }
{ "message": "File not found", "status": 500 }
Recommended. Your 16-character Videobase API key.
Folder name. The backend sanitizes HTML-sensitive input.
1
Parent folder ID.
x >= 0
Created folder.